package monitor

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type MultiScreenRouter struct{}

func (m *MultiScreenRouter) InitMultiScreenRouter(Router *gin.RouterGroup, RouterPub *gin.RouterGroup) {
	multiscreenRouter := Router.Group("multiscreen").Use(middleware.OperationRecord())
	multiscreenRouterWithoutRecord := Router.Group("multiscreen")
	//apiPublicRouterWithoutRecord := RouterPub.Group("multiscreen")
	commonApi := v1.ApiGroupApp.MonitorApiGroup.CommonApi
	baseApi := v1.ApiGroupApp.MonitorApiGroup.MultiScreenApi
	{
		multiscreenRouter.POST("/multiscreenSubmit", baseApi.EditMultiScreen) //编辑六宫格
	}
	{
		multiscreenRouterWithoutRecord.POST("/multiscreenList", baseApi.MultiScreenList) //获取六宫格位置
		multiscreenRouterWithoutRecord.POST("/devicesCameras", commonApi.DevicesCameras) //获取摄像头设备列表
	}

}
